Package Details: broadcom-wl-ck 6.30.223.271-28

Git Clone URL: https://aur.archlinux.org/broadcom-wl-ck.git (read-only)
Package Base: broadcom-wl-ck
Description: Broadcom 802.11abgn hybrid Linux networking device driver for linux-ck.
Upstream URL: https://www.broadcom.com/support/802.11
Licenses: custom
Submitter: graysky
Maintainer: graysky
Last Packager: graysky
Votes: 18
Popularity: 0.886201
First Submitted: 2011-05-04 22:49
Last Updated: 2016-11-22 08:32

Required by (0)

Sources (8)

Latest Comments

graysky commented on 2016-10-20 18:54

My bad... sums updated in 6.30.223.271-23. Thank you for reporting.

kogone commented on 2016-10-20 18:29

same

VerruckteFuchs commented on 2016-10-20 01:41

I'm getting a "==> ERROR: Integrity checks (sha256) differ in size from the source array." when trying to update from 6.30.223.271-21 to 6.30.223.271-22. I've tried deleting the broadcom-wl-ck folder from my pacaur cache so I pull in a fresh source, but it doesn't help.

graysky commented on 2015-11-15 20:23

I am unable to build this on i686 (it's fine under x86_64)... Will begin searching for a fix now but always like to inform users and solicite feedback:

make: Entering directory '/usr/lib/modules/4.3.0-1-ck/build'
CFG80211 API is prefered for this kernel version
Using CFG80211 API
LD /home/facade/broadcom-wl-ck/src/built-in.o
CC [M] /home/facade/broadcom-wl-ck/src/src/shared/linux_osl.o
/home/facade/broadcom-wl-ck/src/src/shared/linux_osl.c: In function ‘osl_getcycles’:
/home/facade/broadcom-wl-ck/src/src/shared/linux_osl.c:935:2: error: implicit declaration of function ‘rdtscl’ [-Werror=implicit-function-declaration]
rdtscl(cycles);
^
/home/facade/broadcom-wl-ck/src/src/shared/linux_osl.c:935:2: warning: ‘cycles’ is used uninitialized in this function [-Wuninitialized]
cc1: some warnings being treated as errors
scripts/Makefile.build:258: recipe for target '/home/facade/broadcom-wl-ck/src/src/shared/linux_osl.o' failed
make[1]: *** [/home/facade/broadcom-wl-ck/src/src/shared/linux_osl.o] Error 1
Makefile:1382: recipe for target '_module_/home/facade/broadcom-wl-ck/src' failed
make: *** [_module_/home/facade/broadcom-wl-ck/src] Error 2
make: Leaving directory '/usr/lib/modules/4.3.0-1-ck/build'
==> ERROR: A failure occurred in build().

graysky commented on 2015-11-04 20:35

@Ashish - Glad it's working for you. Enjoy!

Ashish-Bansal commented on 2015-11-04 07:10

@graysky It works perfectly, no bugs at all. Now no more disconnects which I faced in last version :D

graysky commented on 2015-11-03 18:13

Please report back with problems if any ... I do not have this hardware any more.

Ashish-Bansal commented on 2015-11-03 18:04

Thanks graysky :)

graysky commented on 2015-11-03 18:03

Bump to v6.30.223.271-1

graysky commented on 2015-01-20 20:58

Bump to v6.30.223.248-13
Changelog: Added file-broadcom-sta-6-30-223-248-linux-3-18-null-pointer-crash-patch which others have reported as solving the kernel panics caused by this driver and kernel version 3.18.x.

References:
1. https://aur.archlinux.org/packages/broadcom-wl/
2. https://bugs.gentoo.org/show_bug.cgi?id=523326#c24
3. https://gist.github.com/hobarrera/ac0e6225210ac5bb13f6#file-broadcom-sta-6-30-223-248-linux-3-18-null-pointer-crash-patch

graysky commented on 2015-01-20 20:57

Bump to v6.30.223.248-13
Changelog: Added file-broadcom-sta-6-30-223-248-linux-3-18-null-pointer-crash-patch which others have reported as solving the kernel panics caused by this driver and kernel version 3.18.x.

graysky commented on 2014-12-18 13:35

That sucks. I do not have hardware that needs this driver anymore so I cannot test myself. I will follow the discussion in broadcom-wl but please post here as well in case I miss the solution once it becomes available.

ishitatsuyuki commented on 2014-12-18 11:51

The latest version seems to be buggy. It also make kernel panic on my system.
--> See broadcom-wl comments

graysky commented on 2014-08-16 10:08

Updated to v6.30.223.141-3 for 3.16.x

graysky commented on 2014-08-12 06:49

So it has... odd. Fixed and thank you.

martadinata666 commented on 2014-08-12 04:50

the sums for i686 tar.gz changed

graysky commented on 2014-04-30 19:25

Thanks, WW. Will update on the next release.

WonderWoofy commented on 2014-04-27 19:38

There is no need for the backup array since the modprobe.d file is now in /usr/lib where it should be.

thstclair commented on 2013-11-05 21:28

Works like a charm!

graysky commented on 2013-11-05 20:37

Why out of date?

graysky commented on 2013-09-14 11:10

Updated to v6.30.223.141-1

graysky commented on 2013-07-11 19:10

Fixed.

graysky commented on 2013-07-11 11:56

Thanks for letting me know. I will fix and update,

clayman commented on 2013-07-11 06:38

I can compile the package just fine but you seem to have forgotten to update the .install file with the new kernel version, it still refers to 'extramodules-3.9-ck'.

WonderWoofy commented on 2013-07-05 18:43

Graysky, I don't know if you are aware, but as is, this won't build against 3.10. The broadcom-wl maintainer has fixed his package so that it is compatible with 3.10. You can find the necessary patches there.

graysky commented on 2012-11-29 20:21

Fixed but didn't bump pkgver. Enjoy.

OramahMaalhur commented on 2012-11-29 01:05

Please update PKGBUILD , wrong sha1sum for hybrid*.tar.gz

graysky commented on 2012-11-21 23:28

Bump to v5.100.82.112-28

Changelog: Updated conflicts array for better AUR/repo support.

graysky commented on 2012-11-01 21:54

Bump to v5.100.82.112-27

Changelog: Rebuilt against 3.6.5-1 and bumped to keep AUR in sycn with repo.

graysky commented on 2012-10-23 01:32

Bump to v5.100.82.112-25

Changelog: Rebuilt against 3.6.3-2 and bumped to keep AUR in sycn with repo.
Commit: http://pkgbuild.com/git/aur-mirror.git/commit/broadcom-wl-ck?id=785c07c746c5896e95e9d04757d59f4b190e0566

graysky commented on 2012-10-21 22:08

Bump to v5.100.82.112-24

Commit: http://pkgbuild.com/git/aur-mirror.git/commit/broadcom-wl-ck?id=ff1efcc2dbd65240f6dc0510a06ea451e7f84bcb

graysky commented on 2012-10-03 20:50

Bump to v5.100.82.112-21

Changelog: Rebuild against linux-ck 3.5.5-1 and bumped in the AUR to keep repo-ck users in sync with the AUR.
Commit: http://pkgbuild.com/git/aur-mirror.git/commit/broadcom-wl-ck?id=f0b865eedb97b10ba28a39d2de81f749edc48808

graysky commented on 2012-08-19 12:28

Bump to v5.100.82.112-20

Changelog: Rebuild against linux-ck 3.5.2-2.
Commit: http://pkgbuild.com/git/aur-mirror.git/commit/broadcom-wl-ck?id=7311828d1358de95fd77ea5ec1255f6f5629fa51

graysky commented on 2012-08-16 20:10

Bump to v5.100.82.112-18

Changelog: Update to match new kernel version
Commit: http://pkgbuild.com/git/aur-mirror.git/commit/broadcom-wl-ck?id=8ff60963c7fcbe5f32e4e7f85e619c4d0c6fcb77

graysky commented on 2012-07-14 14:17

Bump to v5.100.82.112-17

Changelog: Package compliant with new Arch standards of lib --> usr/lib so read http://www.archlinux.org/news/the-lib-directory-becomes-a-symlink and never force an update.
Commit: http://pkgbuild.com/git/aur-mirror.git/commit/broadcom-wl-ck?id=3972cf7a45e931e9e03ac84665d4a536c455004d

graysky commented on 2012-06-02 12:35

Bump to 5.100.82.112-15

Changelog: patched to work with linux 3.4 tree (thanks to belak)
Commit: http://pkgbuild.com/git/aur-mirror.git/commit/broadcom-wl-ck?id=519b31441471005ad539c89f0b76e098511c0ff0

graysky commented on 2012-03-12 21:46

Bump to 5.100.82.112-11
Had to rebuild against 3.2.10-1 or else this module didn't work.

graysky commented on 2012-03-01 21:11

Bump to 5.100.82.112-10
Had to rebuild against 3.2.9-1 or else this module didn't work.

graysky commented on 2012-02-28 00:22

Bump to 5.100.82.112-9
Had to rebuild against 3.2.8-1 or else this module didn't work.

graysky commented on 2012-01-17 00:15

Bump to 5.100.82.112-8
Had to rebuild against 3.2.1-3 or else this module didn't work.

graysky commented on 2012-01-11 20:27

You are right... sorry about the mistake and thank you for the correction!

dot commented on 2012-01-11 20:22

Probably it builds fine for you since you are using x86_64. But

dot @ Sun, 08 Jan 2012 13:10:32 +0000:
> the checksum I provided is for http://www.broadcom.com/docs/linux_sta/hybrid-portsrc_x86_32-v5_100_82_112.tar.gz, but the one in PKGBUILD is for x86_64. Both of them.

I believe the checksum on line 26 should be 01aa32f9e85621253a3f15cf4361bb80d41da3e8 (it's for x86_32, the file I mentioned), while on line 32 should be left as is, because it replaces one in case of x86_64 architecture.

graysky commented on 2012-01-11 20:07

@dot - The PKG build fine for me as-is... I updated the checksums before I uploaded it. Is it not building for you?


$ makepkg -s
==> Making package: broadcom-wl-ck 5.100.82.112-7 (Wed Jan 11 15:05:22 EST 2012)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving Sources...
-> Downloading hybrid-portsrc_x86_64-v5_100_82_112.tar.gz...
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 1147k 100 1147k 0 0 881k 0 0:00:01 0:00:01 --:--:-- 993k
-> Found bc_wl_abiupdate.patch
-> Found modprobe.d
-> Found linux3.patch
-> Found license.patch
-> Found semaphore.patch
==> Validating source files with sha1sums...
hybrid-portsrc_x86_64-v5_100_82_112.tar.gz ... Passed
bc_wl_abiupdate.patch ... Passed
modprobe.d ... Passed
linux3.patch ... Passed
license.patch ... Passed
semaphore.patch ... Passed
==> Extracting Sources...
-> Extracting hybrid-portsrc_x86_64-v5_100_82_112.tar.gz with bsdtar
==> Starting build()...
patching file Makefile
patching file src/wl/sys/wl_linux.c
Hunk #1 succeeded at 245 (offset 5 lines).
patching file src/wl/sys/wl_iw.h
patching file src/wl/sys/wl_linux.c
make: Entering directory `/usr/src/linux-3.2.0-2-ck'
CFG80211 API is prefered for this kernel version
Using CFG80211 API
LD /scratch/broadcom-wl-ck/src/built-in.o
CC [M] /scratch/broadcom-wl-ck/src/src/shared/linux_osl.o
CC [M] /scratch/broadcom-wl-ck/src/src/wl/sys/wl_linux.o
CC [M] /scratch/broadcom-wl-ck/src/src/wl/sys/wl_iw.o
CC [M] /scratch/broadcom-wl-ck/src/src/wl/sys/wl_cfg80211.o
LD [M] /scratch/broadcom-wl-ck/src/wl.o
Building modules, stage 2.
CFG80211 API is prefered for this kernel version
Using CFG80211 API
MODPOST 1 modules
WARNING: "lib80211_get_crypto_ops" [/scratch/broadcom-wl-ck/src/wl.ko] undefined!
CC /scratch/broadcom-wl-ck/src/wl.mod.o
LD [M] /scratch/broadcom-wl-ck/src/wl.ko
make: Leaving directory `/usr/src/linux-3.2.0-2-ck'
==> Entering fakeroot environment...
==> Starting package()...
==> Tidying install...
-> Purging unwanted files...
-> Compressing man and info pages...
-> Stripping unneeded symbols from binaries and libraries...
==> Creating package...
-> Generating .PKGINFO file...
-> Adding install file...
-> Compressing package...
==> Leaving fakeroot environment.
==> Finished making: broadcom-wl-ck 5.100.82.112-7 (Wed Jan 11 15:05:27 EST 2012)

dot commented on 2012-01-11 12:43

so can you please update the checksum in PKGBUILD? Thanks!

dot commented on 2012-01-08 13:10

oh, sorry, the checksum I provided is for http://www.broadcom.com/docs/linux_sta/hybrid-portsrc_x86_32-v5_100_82_112.tar.gz, but the one in PKGBUILD is for x86_64. Both of them.

dot commented on 2012-01-08 13:03

seems they've changed the source tarball a bit. It's SHA-1 is now 01aa32f9e85621253a3f15cf4361bb80d41da3e8. Their change doesn't seem to fix 3.1-3.2 issue however.

graysky commented on 2012-01-06 19:54

OK! Fixed I think! Thanks to this post: http://www.mindwerks.net/2011/11/wireless-bcm4312-3-2-kernel/ and to dot for pointing it out!

dot commented on 2012-01-06 19:31

Please consider to include the patch from http://www.mindwerks.net/2011/11/wireless-bcm4312-3-2-kernel/ in you package. It's one-line and simple

Thanks!

graysky commented on 2012-01-05 22:11

Note that this package currently does NOT work with v3.2 of linux-ck. If you depend on wireless based on the wl module do not update at this time - stay with version 3.1.7-1 until this package is fixed.

graysky commented on 2011-12-13 19:29

Bump to 5.100.82.112-6
Rumor has it that users of the 3.1.5 kernel need to rebuild against that source or else this module will not work.

graysky commented on 2011-12-12 20:54

Bump to 5.100.82.112-6
No need to update, this bump was needed to sync the AUR version with the repo version.

graysky commented on 2011-11-04 00:50

Updated to 5.100.82.112-2
Thanks to vesath for modding the PKGBUILD/install file to work with the new construct of the 3.1 series!

graysky commented on 2011-11-03 21:23

Note - this is temporarily not functional with the 3.1 release of linux-ck.

graysky commented on 2011-11-03 21:23

Note - this is temporarly not functional with the 3.1 release of linux-ck.

graysky commented on 2011-10-26 12:16

Updated to 5.100.82.112

graysky commented on 2011-10-23 14:43

Updated to 5.100.82.111 which fixes problems with the v3.0.4 code.

graysky commented on 2011-08-20 10:24

Pacman 3.5.4-4 just hit [core] and included a significant change to the CFLAGS. I am simply bumping to compile again with these new flags for the repo. AUR users should recompile after updated their systems AND modifying their /etc/makepkg.conf incorporating the changes in /etc/makepkg.conf.pacnew first!

graysky commented on 2011-08-19 01:16

Bump to match the repo package ver number - AUR users have no reason to update.

graysky commented on 2011-07-14 19:54

Bump to 5.100.82.38-7

This is a very minor fix for the dependency issue that xclaude raised in the forum post about the repo. I slightly modified the PKGBUILD as a result (along with fixes to my build script). Anyway, I "updated" to this revision only for consistency's sake, i.e. to make this PKG match the ones I am building now for the repo.

There is no need for AUR users to update unless you like building packages :p

graysky commented on 2011-06-11 18:46

Bump to 2.6.39.1-6

-5 users have NO reason to update. I had to bump to because I added an additional arch to the repo (k10 optimized) and the only way I would make sure that all packages got update to their respective conflicts arrays was to rebuild EVERYTHING. Repo users will get the update but AUR users have no reason to build/update unless you like to watch packages compile :)

graysky commented on 2011-05-20 11:49

Updated for 2.6.39-ck

graysky commented on 2011-05-04 22:51

So many requests, so here it is!